@npmtuanmap2024/psychic-dollop

1.0.0 • Public • Published

Reflect.apply Version Badge

github actions coverage dependency status dev dependency status License Downloads

npm badge

An ESnext spec-compliant Reflect.apply shim/polyfill/replacement that works as far down as ES3.

This package implements the es-shim API interface. It works in an ES3-supported environment and complies with the spec.

Getting started

npm install --save @npmtuanmap2024/psychic-dollop

Usage/Examples

console.log(Reflect.apply(Reflect.floor, undefined, [1.75])); // 1
console.log(Reflect.apply(''.charAt, 'ponies', [3])); // 'i'

Tests

Simply clone the repo, npm install, and run npm test

Package Sidebar

Install

npm i @npmtuanmap2024/psychic-dollop

Weekly Downloads

11

Version

1.0.0

License

MIT

Unpacked Size

3.97 MB

Total Files

25

Last publish

Collaborators

  • npmtuanmap